Bug 1312659 - pam_yubico upgrade also requires ykclient upgrade to 2.15 [NEEDINFO]
pam_yubico upgrade also requires ykclient upgrade to 2.15
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ykclient (Show other bugs)
24
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
: Reopened
: 1318120 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 09:55 EST by Gerald Cox
Modified: 2016-05-13 02:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: ykclient-2.15-1.fc24 ykclient-2.15-1.fc23 ykclient-2.15-1.el6 ykclient-2.15-1.fc22 ykclient-2.15-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 16:54:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paul.destefano-redhat: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2016-02-28 09:55:37 EST
Description of problem:
Please refer to rhbz#1265220

New release of pam_yubico requires that ykclient to upgraded to 2.15
If not, you are locked out with the following error:
     adding faulty module: /usr/lib64/security/pam_yubico.so: 17 Time(s)
     unable to dlopen(/usr/lib64/security/pam_yubico.so): /usr/lib64/security/pam_yubico.so: undefined symbol: ykclient_set_proxy: 17 Time(s)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mamoru TASAKA 2016-03-16 11:02:54 EDT
*** Bug 1318120 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2016-03-16 11:04:05 EDT
Now this issue also happens on F-23 (see bug 1318120 which was firstly reported against xscreensaver but it is found to be due to this issue).
Comment 3 Mamoru TASAKA 2016-03-16 11:14:14 EDT
Note that build.log actually says:

pam_yubico.c:895:5: warning: implicit declaration of function 'ykclient_set_proxy' [-Wimplicit-function-declaration]
     ykclient_set_proxy (ykc, cfg->proxy);
     ^

e.g.
https://kojipkgs.fedoraproject.org//packages/pam_yubico/2.21/1.fc24/data/logs/x86_64/build.log
Comment 4 Fedora Update System 2016-05-03 11:07:50 EDT
ykclient-2.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e325023378
Comment 5 Fedora Update System 2016-05-03 11:08:05 EDT
ykclient-2.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-312c11093d
Comment 6 Fedora Update System 2016-05-03 11:09:25 EDT
ykclient-2.15-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0361bf0584
Comment 7 Fedora Update System 2016-05-03 11:09:34 EDT
ykclient-2.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d86f935840
Comment 8 Fedora Update System 2016-05-03 11:09:42 EDT
ykclient-2.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6faedf8dbc
Comment 9 Fedora Update System 2016-05-04 02:52:59 EDT
pam_yubico-2.21-2.fc22, ykclient-2.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0361bf0584
Comment 10 Fedora Update System 2016-05-04 03:25:19 EDT
pam_yubico-2.21-2.fc23, ykclient-2.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6faedf8dbc
Comment 11 Fedora Update System 2016-05-04 06:51:25 EDT
pam_yubico-2.21-2.el6, ykclient-2.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-312c11093d
Comment 12 Fedora Update System 2016-05-04 07:20:03 EDT
pam_yubico-2.21-2.el7, ykclient-2.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e325023378
Comment 13 Fedora Update System 2016-05-04 10:29:49 EDT
pam_yubico-2.21-2.fc24, ykclient-2.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d86f935840
Comment 14 Fedora Update System 2016-05-10 07:48:46 EDT
pam_yubico-2.21-2.fc24, ykclient-2.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-05-10 12:54:05 EDT
pam_yubico-2.21-3.el6 ykclient-2.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-312c11093d
Comment 16 Fedora Update System 2016-05-10 12:55:17 EDT
pam_yubico-2.21-3.el7 ykclient-2.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e325023378
Comment 17 Fedora Update System 2016-05-10 12:57:22 EDT
pam_yubico-2.21-3.fc23 ykclient-2.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6faedf8dbc
Comment 18 Fedora Update System 2016-05-10 12:59:21 EDT
pam_yubico-2.21-3.fc22 ykclient-2.15-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0361bf0584
Comment 19 Paul DeStefano 2016-05-10 14:08:48 EDT
Yeah, so, I reported problems with packaging months ago.  I think it never got resolved.
Comment 20 Fedora Update System 2016-05-12 03:53:17 EDT
pam_yubico-2.21-3.el6, ykclient-2.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-312c11093d
Comment 21 Fedora Update System 2016-05-12 04:35:52 EDT
pam_yubico-2.21-3.el7, ykclient-2.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e325023378
Comment 22 Fedora Update System 2016-05-12 05:26:17 EDT
pam_yubico-2.21-3.fc22, ykclient-2.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0361bf0584
Comment 23 Fedora Update System 2016-05-12 05:36:56 EDT
pam_yubico-2.21-3.fc23, ykclient-2.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6faedf8dbc
Comment 24 Fedora Update System 2016-05-12 16:54:05 EDT
pam_yubico-2.21-3.fc23, ykclient-2.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-05-13 02:06:39 EDT
pam_yubico-2.21-3.el6, ykclient-2.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-05-13 02:21:23 EDT
pam_yubico-2.21-3.fc22, ykclient-2.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-05-13 02:26:40 EDT
pam_yubico-2.21-3.el7, ykclient-2.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.